org.apache.sysds.parser

## Enum PrintStatement.PRINTTYPE

- java.lang.Object
- - java.lang.Enum<PrintStatement.PRINTTYPE>
  - - org.apache.sysds.parser.PrintStatement.PRINTTYPE

All Implemented Interfaces:
  Serializable, Comparable<PrintStatement.PRINTTYPE>

Enclosing class:
  PrintStatement

    public static enum PrintStatement.PRINTTYPE
    extends Enum<PrintStatement.PRINTTYPE>

The PRINTTYPE options are: PRINT, PRINTF, and STOP.

Note that PRINTF functionality is overloaded onto the existing 'print' built-in function.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASSERT`
`PRINT`
`PRINTF`
`STOP`

### Method Summary

All Methods Static Methods Concrete Methods
`static PrintStatement.PRINTTYPE` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PrintStatement.PRINTTYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRINT

    public static final PrintStatement.PRINTTYPE PRINT

#### PRINTF

    public static final PrintStatement.PRINTTYPE PRINTF

#### STOP

    public static final PrintStatement.PRINTTYPE STOP

#### ASSERT

    public static final PrintStatement.PRINTTYPE ASSERT

### Method Detail

#### values

    public static PrintStatement.PRINTTYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PrintStatement.PRINTTYPE c : PrintStatement.PRINTTYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PrintStatement.PRINTTYPE valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null